#pragma once
#include "Consensus/Data/ReportToHeroParams.h"

class FConsensusManager
{
	friend class FCsdkCommonTools;

public:
	// 敏感词检测请求
	void SensitiveTextCheck(const FString& Content,
							const FCsdkSensitiveTextCheckParam& ReportParam, const TFunction<void(const int32 ErrorCode, const FString& ErrorMsg, const bool bPassed, const TArray<FString>&)>& CallBack) const;

	// 举报请求（中台舆情系统）
	void Accuse(const FCsdkAccuseToSentimentParam& ReportParam,
	            const TFunction<void(const int32 ErrorCode, const FString& ErrorMsg)>& CallBack) const;
};
